Online Network Printer Access

Instructions for Downloading the iPrint Software

The iPrint software is only downloaded and installed once. Clicking on a printer link on the My Printers page will check if the client is installed. If it is not, you will be presented with the option to install the client.

Installation for Windows 10, Windows 8, Windows 7

  1. Download the installer for your Operating System:
  2. Double-click on the downloaded file (nipp.exe) to begin the installation.
  3. Click "Next" on the installation prompt. The install process will then begin.
  4. After the software installation completes, click "Finish".
  5. You must close and re-open your web browser in order to complete the installation.

System Requirements for Windows 8 and Windows 7

  • Microsoft Internet Explorer 7 or later or Mozilla-based Web browser.
  • Javascript must be enabled.

Installation for Mac OS 10.8+

  1. Due to some issues with Macintosh print drivers, we recommend removing any drivers for the device you plan on printing to.
  2. Download and install the latest Macintosh drivers from the manufacturer's website.
  3. Dell CopyStar HP Kyocera Lexmark Ricoh Xerox
  4. Click here to download the iPrint Client for MacOS X (iprint.dmg).
  5. Open the disk image and run iPrint.pkg.
  6. Follow the prompts to install the client.
  7. Click "Close" when the installer finishes.
  8. You must close and re-open your web browser in order to complete the installation.

System Requirements for MacOS

  • MacOS 10.8 or later

Installation for Linux

  1. Click here to download the 32-bit iPrint client for Linux.
  2. Click here to download the 64-bit iPrint client for Linux.
  3. Double-click on the RPM to begin the installation.
  4. You must close and re-open your web browser in order to complete the installation.

System Requirements for Linux

  • SUSE Linux Enterprise Desktop (SLED) 10 SP2 (both 32 and 64-bit) and SLED 11 (both 32 and 64-bit).
  • An RPM manager software installed.
  • A Mozilla-based browser such as Web or Firefox 40+
  • You must have root access to install the client